<?php

/**
 * @file
 * File callbacks for the camtasia_relay module.
 */

/**
 * extractfiles function
 * returns an array of file names of specified file type in the specified directory.
 * @param string $dirloc
 * @param string $fileextension
 * @return $filesarray
 */
function camtasia_relay_extract_files($dir_loc, $fileextension) {
  //    Get the Search Style from the configuration page.
  $dir_rec = variable_get('camtasia_relay_dir_search_style', '');
  if ($dir_rec==0) {
    //  call the recursive function.
    return file_scan_directory($dir_loc, $fileextension, $nomask = array('.', '..', 'CVS'), $callback = 0, $recurse = TRUE, $key = 'filename', $min_depth = 0, $depth = 0) ;
  }
  elseif ($dir_rec==1) {
    //	call the non recursive function.
    return file_scan_directory($dir_loc, $fileextension, $nomask = array('.', '..', 'CVS'), $callback = 0, $recurse = FALSE, $key = 'filename', $min_depth = 0, $depth = 0) ;
  }
  return '';
}

/**
 * camtasia_relay_mkdir_r function
 * creates directories recursively
 * @param string $dirName
 * @param string $rights
 */
function camtasia_relay_mkdir_r($dir_name, $rights=0777) {
  $dirs = explode('/', $dir_name);
  $dir='';
  foreach ($dirs as $part) {
    $dir .=$part . '/';
    if (!is_dir($dir) && drupal_strlen($dir)>0)
      mkdir($dir, $rights);
  }
}
